package info.knacki.pass.git.entities;

public interface GitPackable {
    enum eType {
        eType_Commit,
        eType_Tree,
        eType_Blob,
        eType_Tag,
        eType_OfsDelta,
        eType_RefDelta
    }

    class PackV2Header {
        public eType type;
        public int length;

        public PackV2Header() {
            this(null, 0);
        }

        public PackV2Header(eType type, int length) {
            this.type = type;
            this.length = length;
        }
    }

    eType GetPackableType();
    byte[] GetPack();
}
